﻿using Syncfusion.SfCalendar.XForms;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CalendarSample1
{
    public partial class Page1 : ContentPage
    {
        SfCalendar calendar = new SfCalendar();
        CalendarEventCollection events = new CalendarEventCollection();
        public Page1()
        {
            calendar.ShowInlineEvents = true;
           this.Appearing += PageCalendar_OnAppearing;
            calendar.SelectedDate = DateTime.Today;
         Content = calendar;
        }

      
        private void PageCalendar_OnAppearing(object sender, EventArgs e)
        {
            loadEvents();
        }
      
        private async void loadEvents()
        {
            await Task.Delay(6000);
            CalendarInlineEvent ev = new CalendarInlineEvent();
            ev.Subject = "Meeting";
            ev.StartTime = new DateTime(2017, 3, 2);
            ev.EndTime = new DateTime(2017, 3, 3);
            ev.Color = Color.Red;
            events.Add(ev);
            CalendarInlineEvent ev1 = new CalendarInlineEvent();
            ev1.Subject = "Meeting";
            ev1.StartTime = new DateTime(2017, 3, 5);
            ev1.EndTime = new DateTime(2017, 3, 7);
            ev1.Color = Color.Green;
            events.Add(ev1);
            calendar.DataSource = events;
        }
    }
}
